org.keycloak.protocol.docker

## Class DockerV2LoginProtocolService

- java.lang.Object
- - org.keycloak.protocol.docker.DockerV2LoginProtocolService

-     public class DockerV2LoginProtocolService
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockerV2LoginProtocolService(RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `auth()` Authorization endpoint
    `static javax.ws.rs.core.UriBuilder` | `authProtocolBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `authProtocolBaseUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `static javax.ws.rs.core.UriBuilder` | `authUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `authUrl(javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockerV2LoginProtocolService

          public DockerV2LoginProtocolService(RealmModel realm,
                                              EventBuilder event)

  - ### Method Detail

    - #### authProtocolBaseUrl

          public static javax.ws.rs.core.UriBuilder authProtocolBaseUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### authProtocolBaseUrl

          public static javax.ws.rs.core.UriBuilder authProtocolBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### authUrl

          public static javax.ws.rs.core.UriBuilder authUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### authUrl

          public static javax.ws.rs.core.UriBuilder authUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### auth

          @Path(value="auth")
          public Object auth()

      Authorization endpoint

Copyright © 2021 JBoss by Red Hat. All rights reserved.